## coq-stdpp 1.7.0

=== debian/changelog ===
coq-stdpp (1.7.0-2) unstable; urgency=medium

  * Re-upload source-only for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Jul 2022 10:58:20 +0200

coq-stdpp (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014585)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 12:04:52 +0200

## coq-stdpp 1.9.0

=== Makefile ===
# Default target
all: Makefile.coq
	+@$(MAKE) -f Makefile.coq all
.PHONY: all

# Permit local customization
-include Makefile.local

# Forward most targets to Coq makefile (with some trick to make this phony)
%: Makefile.coq phony
	@#echo "Forwarding $@"
	+@$(MAKE) -f Makefile.coq $@
phony: ;
.PHONY: phony

clean: Makefile.coq
	+@$(MAKE) -f Makefile.coq clean
	@# Make sure not to enter the `_opam` folder.
	find [a-z]*/ \( -name "*.d" -o -name "*.vo" -o -name "*.vo[sk]" -o -name "*.aux" -o -name "*.cache" -o -name "*.glob" -o -name "*.vio" \) -print -delete || true
	rm -f Makefile.coq .lia.cache builddep/*
.PHONY: clean

# Create Coq Makefile.
Makefile.coq: _CoqProject Makefile
	"$(COQBIN)coq_makefile" -f _CoqProject -o Makefile.coq $(EXTRA_COQFILES)

# Install build-dependencies
OPAMFILES=$(wildcard *.opam)
BUILDDEPFILES=$(addsuffix -builddep.opam, $(addprefix builddep/,$(basename $(OPAMFILES))))

builddep/%-builddep.opam: %.opam Makefile
	@echo "# Creating builddep package for $<."
	@mkdir -p builddep
	@sed <$< -E 's/^(build|install|remove):.*/\1: []/; s/"(.*)"(.*= *version.*)$$/"\1-builddep"\2/;' >$@

builddep-opamfiles: $(BUILDDEPFILES)
.PHONY: builddep-opamfiles

builddep: builddep-opamfiles
	@# We want opam to not just install the build-deps now, but to also keep satisfying these
	@# constraints.  Otherwise, `opam upgrade` may well update some packages to versions
	@# that are incompatible with our build requirements.
	@# To achieve this, we create a fake opam package that has our build-dependencies as
	@# dependencies, but does not actually install anything itself.
	@echo "# Installing builddep packages."
	@opam install $(OPAMFLAGS) $(BUILDDEPFILES)
.PHONY: builddep

# Backwards compatibility target
build-dep: builddep
.PHONY: build-dep

# Some files that do *not* need to be forwarded to Makefile.coq.
# ("::" lets Makefile.local overwrite this.)
Makefile Makefile.local _CoqProject $(OPAMFILES):: ;

## coq-stdpp 1.8.0

=== debian/changelog ===
coq-stdpp (1.8.0-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 08:39:43 +0100

coq-stdpp (1.8.0-2) unstable; urgency=medium

  * Fix the dh-coq usage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Sep 2022 13:06:05 +0200

coq-stdpp (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 19 Aug 2022 11:14:14 +0200

=== debian/control ===
Source: coq-stdpp
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq, debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-stdpp
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-stdpp.git
Homepage: https://gitlab.mpi-sws.org/iris/stdpp

Package: libcoq-stdpp
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Extended standard library for Coq
 This package provides an extended standard library
 for Coq, for instance:
  - a great number of definitions and lemmas for common data
 structures like lists, finite maps and finite multisets ;
  - type classes for common properties like decidable equality,
 finiteness or countability ;
  - various tactics for common tasks ;
 all of this dependency-free and axiom-free.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	# doesn't work like this

override_dh_auto_build:
	make

override_dh_auto_install:
	make install DESTDIR=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
https://gitlab.mpi-sws.org/iris/stdpp/-/tags .*/stdpp-coq-stdpp-([\d\.]+).tar.gz

## coq-stdpp 1.9.0

=== debian/changelog ===
coq-stdpp (1.9.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:15:15 +0200

coq-stdpp (1.9.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:55:52 +0000

coq-stdpp (1.9.0-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:15:25 +0000

coq-stdpp (1.9.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1045073).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:32:34 +0100

coq-stdpp (1.8.0-4) unstable; urgency=medium

  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: coq-stdpp
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: coq, debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
+Build-Depends: coq (>= 8.18), debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-stdpp
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-stdpp.git
 Homepage: https://gitlab.mpi-sws.org/iris/stdpp

## coq-stdpp 1.10.0

=== debian/changelog ===
coq-stdpp (1.10.0-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 16:35:04 +0200

coq-stdpp (1.10.0-2build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:27 +0200

coq-stdpp (1.10.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:39:02 +0200

coq-stdpp (1.10.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Do not hardcode /usr/lib/ocaml

  [ Julien Puydt ]
  * Fix d/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 05:37:16 +0200

coq-stdpp (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Apr 2024 15:56:06 +0200

## coq-stdpp 1.11.0

=== debian/changelog ===
coq-stdpp (1.11.0-1build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jun 2025 13:28:36 +0200

coq-stdpp (1.11.0-1build4) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:30 +0100

coq-stdpp (1.11.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:33:51 +0100

coq-stdpp (1.11.0-1build2) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:17:36 -0500

coq-stdpp (1.11.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 21:31:50 -0500

coq-stdpp (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:48:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
-	# doesn't work like this
+	make clean
+	rm -f Makefile.coq.conf
 
 override_dh_auto_build:
 	make

## coq-stdpp 1.12.0

=== debian/changelog ===
coq-stdpp (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: coq-stdpp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq (>= 8.18), debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
+Build-Depends: coq, debhelper-compat (= 13), dh-coq, dh-ocaml, libcoq-core-ocaml-dev, libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-stdpp
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-stdpp.git
 Homepage: https://gitlab.mpi-sws.org/iris/stdpp

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/ocaml/ocamlvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom stdpp base
Depends: coq, @

=== debian/watch ===
version=4
opts=searchmode=plain \
https://gitlab.mpi-sws.org/iris/stdpp/tags?sort=updated_desc -/archive/coq-stdpp-\d[\d.]+/stdpp-coq-stdpp-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
